org.eclipse.emf.cdo.common.branch

## Interface CDOBranchHandler

- All Known Subinterfaces:
    CDOReplicationContext, InternalFailoverParticipant, InternalSynchronizableRepository

      public interface CDOBranchHandler

  A call-back interface that indicates the ability to handle branches that are passed from other entities.
  Since:
    3.0
  Author:
    Eike Stepper
  See Also:
    `CDOBranchManager.getBranches(int, int, CDOBranchHandler)`
  Apiviz
    `CDOBranch` - - handles

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleBranch(CDOBranch branch)` A call-back method that other entities can pass branches to.

- - ### Method Detail

    - #### handleBranch

          void handleBranch(CDOBranch branch)

      A call-back method that other entities can pass branches to.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html